Upgrade JDom library

Description

GeoTools has a dependency on a rather old version of JDom (1.1.3) while the JDom project has released 2.0.6 a while ago.

mailing list query: https://sourceforge.net/p/geotools/mailman/message/36074208/

Environment

None

Status

Assignee

Unassigned

Reporter

Mark Prins

Triage

None

Components

Fix versions

Affects versions

Priority

Medium
Configure